Subject: Tao of IRC

From: [email-masked] (Ove Ruben R Olsen)
Date: 12 Jan 1994 13:37:20 +0100

The Tao of Internet Relay Chat
Copyright (C) Ove Ruben R Olsen 1994
Version of 940110
Contributing masters: Master ScottM

-----
Something is formed by the electrons, born in the silent cable. Shaping
and growing and ungrowing. It is there yet not there. It is the source of
Internet Relay Chat. I do not know the name, thus I will call it the Tao
of Internet Relay Chat.

If the Tao is great, then the IRC is running ceaselessly. If the IRC is 
great then the server is running without ever stoping. If the server is 
great then the client will always be the server. The luser is then pleased 
and there is Chat in the world.

The Tao of IRC squits far away and connects on returning.

-----
The genetic potential of birth, a lot to know, yet unknown.

In the begining there was nothing. 

Out of nothing the Tao gave birth to tolsun.oulu.fi. tolsun gave birth to
OuluBox. 

OuluBox gave birth to rmsg.

rmsg was not Tao, so MUT gave birth to IRC.

No one knows when IRC came into existance, the mighty master WiZ have it 
to be at the end of the eight month in the year of the Dragon.

-----
Each channel has its purpose, however humble. Each channel is the Yin and
Yang of IRC. Each channels has it's place within the IRC.

In the beginning there was only channel 0, thus channel 0 is the soil of
IRC. 

Channel 1 to channel 10 then was open as the sea. Channel 11 to 999 was the 
trees and forests of IRC. Channels above 999 should not be mentioned, and
channels below 0 were unborn and contained many secrets.

This was not the right Tao, so IRC gave birth to +channels. 

+channels had the yin and yang. Mode does not.

This was not the right Tao still, so IRC gave birth to #channels. 

#channels have the yin and yang.

Only channel 0 is the right path to Tao, but avoid speaking on channel 0.

-----
There was a great dispute among the Broom-Walkers of the Relay. Some of them
wanted neither yin nor yang. Out of this Eris came into existance. Some of the
Broom-Walkers then created Eris Free-net. 

This was the right Tao.

Kind Gentle and Boring Net was another wrong path to the Tao of Internet Relay 
Chat.

Some time later there was a quantity of some lusers who wanted to be 
Broom-Walkers also. The Eris Free Broom-Walkers did not agree with them, 
thus a new IRC was born. This IRC is called the Undernet. 

But this is not the right Tao, either.

-----
There will always be disputes among the Broom-Walkers of Internet Relay Chat.

This is the very nature of the IRC.

-----
Lusers that do not understand the Tao is always using the yang of Mode on 
their channels. Lusers that do understand the Tao are always using Ignore
on their channels.

How could this not be so ?

-----
The wise sage luser is told about the Chat and uses it. The luser is told 
about the IRC and is looking for it. The flock are told about the Tao and
make a fool of the IRC.

If there was no laughter, there would be no Tao.

-----
The master says:
"Without the Tao of Internet Relay Chat, life becomes meaningless."

The Relay of the old time was mysterious and sacred. We can neither imagine 
its thoughts nor path; we are left but to describe.

-----
The sage luser must be aware like a frog crossing the highway.

-----
The great master Wumpus once dreamed that he was an automaton. When he awoke
he exclaimed:
	"I don't know whether I am Wumpus dreaming that I am a client,
	 or a client dreaming that I am Wumpus!"

So was the first Automata born. 

The master Nap then said:
	"Any automata should not speak unless spoken to.
	 Any automata shall only whisper when spoken to."

Thus replied the master Gnarfer:
	"The lusers shall keep in mind that a automata can be either good or
	 bad. Create good automata, and the IRC will hail you and you will 
	 gain fame and fortune. Create bad automata and people will start to 
	 hate you, and finaly you will be /KILLed to ethernal damnation"

Many lusers have fallen into the clutches of ethernal damnation. They where 
not following the Tao.

-----
There once was a luser who went to #BotSex. Each day he saw the automatons. 
The luser decided that he also would have such a automata.
He asked another luser for his automata. The other luser gave his automata
away.

The luser was not within the Tao, so he just started the automata. The automata
had only Yang inside so all the lusers files where deleted.

Some moons laither the same luser then had become a sage luser, and did create
his automata from the very grounds with materials found inside the IRC.
The luser was now within the Tao and his automata lived happily ever after.

-----
There once was a master who wrote automatons without the help of master Phone.
A novice luser, seeking to imitate him, began with the help of master Phone.
When the novice luser asked the master to evaluate his automata the master
replied: "What is a working automata for the master is not for the luser.
You must must BE the IRC before automating."

-----
Master BigCheese gave birth to master Troy; his duty clear. Master Troy gave 
birth to master Phone, for the Tao of Irc must be eternal and must flow as the 
ceaseless river of Time itself.

-----
Master Phone once said about the ircII client:
	"public_msg is for a message from someone NOT on the channel
	 public_other is for a message on a channel that doesn't belong to
	 a window. public is for a message on a channel that belongs to a 
	 window!"

Out of this raised the mighty chaos.

-----
The sage luser came to the master who wrote automata without the help of 
master Phone. The sage luser asked the master who wrote automata: "Which is 
easiest to make. A automata with the help of master Phone or an automata 
made with the help of a language ?"

The master who wrote automata then replied:
	"With the help of a language."

The sage luser was disapointed and exclaimed: "But, with master Phone you
do not need to know anything about the soil of IRC. Is not that the easiet
way ?"

"Not really" said the master who wrote automata, "when using master Phone
you are closed inside a box. For sure, it is a great box for the lusers,
but the master will need more power, thus a language is the only path to go.
With the language the master will never have to limit himself. When using
such a language the master will seek the best between the need and the
availibility."

"I see", said the sage luser.

This is the essence of Tao of IRC automatas.

-----
A client should be light and be used for communication. The spirit of a good
client is that it should be very convinient for the luser to use, but hard
for the luser who want to create automata.
There should never ever be too many functions or too few functions. 

There should always be a ignore.

Without ignore the client is not within the Tao of Chating.

The client should always respond the luser with messages that will not 
astnonish him too much. The server likewise. If the server does not, then it
is the clients job to explain what the server says.

A client which fails this, will be useless and cause confusion for the lusers.
The only way to correct this is to use another client or to write a new one.

-----
A luser asked the masters on #IrcHelp: "My client does not work".
The masters replied: "Upgrade your client".
The luser then wondered why the master knew. The master then told him about
the Protocol.

"Your client does not work beaucse it does not understand the server. Why
should it always work ? Only a fool would expect such. But, clients are made
by humans, and humans are not perfect. Only Tao is.

The IRC is solid. The IRC is floating, and will always be dynamic. Live with 
that or /quit."

-----
The luser came to the masters of #IrcHelp, asking about the Tao of IRC within
the client.
The masters then said that the Tao of IRC always lies inside the client
regardless of how the client connects to the server.

"Is the Tao in irc ?" asked the luser.
"It so is" replied the masters of #IrcHelp.
"Is the Tao in the ircII, Kiwi, rxirc, vms, rockers and msa ?" asked the 
luser.
"In all of them and in the TPC, irchat, zenirc, zircon X11-irc and even the 
dos irc has the Tao" said the master quietly.
"Is the Tao in a telnet connection directly to the server ?" 

The master then was quiet for a long time and said. "Please leave, such 
questions are not within the Tao of IRC".

-----
The master says: "Without the Protocol of TCP the messages will not travel.
                  Without the client, the server is useless."

-----
There once was a luser who used the ircII client. "ircII can do anything I 
ever need for using IRC" said the emacs client user, "I have /ON's, I have 
assignments, I have aliasing. Why don't you use this instead of the huge 
emacs client, which also has a messy screen?"
The emacs client user then replied by saying that "it is better to have a
scripting language that is the client instead of have a client that has
a scripting language." Upon hearing this, the ircII client luser fell silent.

-----
The master Wumpus said: "Time for you to leave. I did, now I'm happy."
The master Gnarfer replied: "Use, but never overuse IRC, then you will also 
be happy within IRC"

-----
A luser came unto the masters of #EU-Opers and asked, "How can I be, yet not 
be, a user@host within the IRC?"
The masters of #EU-Opers replied: "To be Tao is to be ones true self. To hide
ones self is not Tao, and is not IRC, you have much to learn before you shall 
be at rest within the Flow of Irc.  Please leave"

-- 
Ove Ruben "Gnarfer" R Olsen a VI user. IRCNO Secretary. Prefered: [email-masked]
tISG#: ORO01. Maintaining the EX/VI-archive and a couple of Comp.Editors FAQ's.
People that are ignorant tend to live a frustrated life, at least when it comes 
        to editing. But I do believe this is a general rule in life.